xmlpp::parse_error Class Reference

This exception will be thrown when the parser encounters an error in the XML document. More...

`#include <libxml++/exceptions/parse_error.h>`

Inheritance diagram for xmlpp::parse_error:
[legend]

## Public Member Functions

| parse_error (const Glib::ustring& message)
| ~parse_error () noexceptoverride
exception* | clone () const override
void | raise () const override
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
| ~exception () noexceptoverride
const char* | what () const noexceptoverride

## Detailed Description

This exception will be thrown when the parser encounters an error in the XML document.

## Constructor & Destructor Documentation

xmlpp::parse_error::parse_error | ( | const Glib::ustring & | message | ) |

explicit

xmlpp::parse_error::~parse_error | ( |  | ) |

override noexcept

## Member Function Documentation

exception* xmlpp::parse_error::clone | ( |  | ) | const

override virtual

Reimplemented from xmlpp::exception.

Reimplemented in xmlpp::validity_error.

void xmlpp::parse_error::raise | ( |  | ) | const

override virtual

Reimplemented from xmlpp::exception.

Reimplemented in xmlpp::validity_error.